Delete Stream

Permanently removes a stream and gracefully disconnects all connected listener sessions
DELETE/streams/{id}

Request Parameters

Required headers and parameter specifications for this endpoint.

Headers
HeaderTypeRequiredDescription
X-PolyEdge-KeystringrequiredPolyEdge API Key for client authentication and rate-limiting
Path Parameters
ParameterTypeRequiredDescription
idstringrequiredStream ID

Response (200 OK)

Field definitions for the successful response payload.

application/json
200 Response Example
json
{
  "id": "9bae9005-9ef1-4f17-8658-36ea54536836"
}
Response Body Fields
FieldTypeDescription
id
string-

cURL Example

Copy and run this command directly in your terminal to test this endpoint.

cURL: DELETE /streams/{id}
bash
curl -X DELETE "https://stream.polyedge.dev/streams/9bae9005-9ef1-4f17-8658-36ea54536836" \
  -H "Content-Type: application/json" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"